/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: VerticalAlignment.idl,v $
 * $Revision: 1.7 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_style_VerticalAlignment_idl__ 
#define __com_sun_star_style_VerticalAlignment_idl__ 
 
 
//============================================================================= 
 
 module com {  module sun {  module star {  module style {  
 
//============================================================================= 
 
// DocMerge from xml: enum com::sun::star::style::VerticalAlignment
/** specify the horizontal alignment of
    an object within a container object.
 */
published enum VerticalAlignment
{ 
    //------------------------------------------------------------------------- 
    // DOCUMENTATION OMITTING FOR VerticalAlignment::	TOP, 
    
    // DocMerge from xml: value com::sun::star::style::VerticalAlignment::TOP
    /** set the vertical alignment to the center between the top and bottom margins from the container object.
     */
    TOP, 
 
    //------------------------------------------------------------------------- 
    // DOCUMENTATION OMITTING FOR VerticalAlignment::	MIDDLE, 
    
    // DocMerge from xml: value com::sun::star::style::VerticalAlignment::MIDDLE
    /** set the vertical alignment to the top margin from the container object.
     */
    MIDDLE, 
 
    //------------------------------------------------------------------------- 
    // DOCUMENTATION OMITTING FOR VerticalAlignment::	BOTTOM 
    
    // DocMerge from xml: value com::sun::star::style::VerticalAlignment::BOTTOM
    /** set the vertical alignment to the bottom margin from the container object.
     */
    BOTTOM 
 
}; 
 
//============================================================================= 
 
}; }; }; };  
 
/*============================================================================= 
 
=============================================================================*/ 
#endif 
